netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
dsi_read.c File Reference
`#include <signal.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <sys/time.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <atalk/dsi.h>`
`#include <atalk/logger.h>`
`#include <atalk/util.h>`

## Functions
ssize_t | dsi_readinit (DSI *dsi, void *buf, const size_t buflen, const size_t size, const int err)
| streaming i/o for afp_read.
void | dsi_readdone (DSI *dsi)
ssize_t | dsi_read (DSI *dsi, void *buf, const size_t buflen)

## Function Documentation

## ◆ dsi_read()

ssize_t dsi_read | ( | DSI * | dsi,
|  | void * | buf,
|  | const size_t | buflen )

send off the data

## ◆ dsi_readdone()

void dsi_readdone | ( | DSI * | dsi | ) |

## ◆ dsi_readinit()

ssize_t dsi_readinit | ( | DSI * | dsi,
|  | void * | buf,
|  | const size_t | buflen,
|  | const size_t | size,
|  | const int | err )

streaming i/o for afp_read.

this is all from the perspective of the client. it basically does the reverse of dsi_write. on first entry, it will send off the header plus whatever is in its command buffer. it returns the amount of stuff still to be read (constrained by the buffer size).